Loading...
Searching...
No Matches
apr_proc_t Struct Reference
Apache Portability Runtime library » Threads and Process Functions

`#include <apr_thread_proc.h>`

## Data Fields

pid_t | pid
apr_file_t * | in
apr_file_t * | out
apr_file_t * | err
char * | invoked
HANDLE | hproc

## Detailed Description

The APR process type

## Field Documentation

## err

apr_file_t* apr_proc_t::err

Parent's side of pipe to child's stdouterr

## hproc

HANDLE apr_proc_t::hproc

(Win32 only) Creator's handle granting access to the process

Remarks
  This handle is closed and reset to NULL in every case corresponding to a waitpid() on Unix which returns the exit status. Therefore Win32 correspond's to Unix's zombie reaping characteristics and avoids potential handle leaks.

## in

apr_file_t* apr_proc_t::in

Parent's side of pipe to child's stdin

## invoked

char* apr_proc_t::invoked

Diagnositics/debugging string of the command invoked for this process [only present if APR_HAS_PROC_INVOKED is true]

Remarks
  Only enabled on Win32 by default.

Bug:
  This should either always or never be present in release builds - since it breaks binary compatibility. We may enable it always in APR 1.0 yet leave it undefined in most cases.

## out

apr_file_t* apr_proc_t::out

Parent's side of pipe to child's stdout

## pid

pid_t apr_proc_t::pid

The process ID

The documentation for this struct was generated from the following file:

- apr_thread_proc.h